<?php

namespace Ap\RotaFiltreleri;

use XF\Entity\RouteFilter;
use XF\Mvc\Entity\Entity;
use XF\Mvc\Entity\Manager;



class Listener
{
    public static function appSetup(\XF\App $app)
    {
        $routes = [
'account-confirmation/' => 'hesap-onay/',
'account/' => 'hesap/',
'account/alert-preferences' => 'hesap/bildirim-tercihleri',
'account/contact-details' => 'hesap/iletisim-detaylari',
'account/external-accounts' => 'hesap/hesap-iliskilendirme',
'account/following' => 'hesap/takip-ettiginiz-uyeler',
'account/ignored' => 'hesap/neglediginiz-uyeler',
'account/files' => 'hesap/indirilen-icerikleriniz',
'account/news-feed' => 'hesap/aktiviteler',
'account/personal-details' => 'hesap/kisisel-detaylar',
'account/preferences' => 'hesap/tercihler',
'account/privacy' => 'hesap/gizlilik',
'account/password' => 'hesap/sifre',
'account/signature' => 'hesap/ima',
'account/upgrades' => 'hesap/yukseltileri',
'account/likes' => 'hesap/begenileri',
'account/alerts' => 'hesap/bildirimler',
'account/tickets/' => 'hesap/destek-talebi/',
'account/delete/' => 'hesap/sil/',
'attachments/' => 'eklentiler/',
'categories/' => 'kategori/',
'conversations/' => 'gelen-kutusu/',
'conversations/add' => 'konusma/ekle',
'edit-history/' => 'duzenleme-gecmisi/',
'edit-history/{num-digit}/view' => 'duzenleme-gecmisi/{num-digit}/goster',
'featured/' => 'one-cikanlar/',
'find-new/' => 'yeni-mesajlar/',
'find-new/posts' => 'yeni-mesajlar/konular',
'find-new/profile-posts' => 'yeni/profil-mesajlari',
'find-new/{num-digit}/posts' => 'yeni/bul/{num-digit}/mesajlar',
'find-new/{num-digit}/profile-posts' => 'yeni/bul/{num-digit}/profil-mesajlari',
'forums/' => 'forumlar/',
'forums/-/mark-read' => 'forumlar/okundu-isaretle',
'forums/{title}/create-thread' => 'forumlar/{title}/konu-olustur',
'forums/{title}/page-{num-digit}' => 'forumlar/{title}/sayfa-{num-digit}',
'forums/{title}/watch' => 'forumlar/{title}/izle',
'gallery/' => 'galeri/',
'gallery/albums/' => 'galeri/albumler/',
'gallery/photos/' => 'galeri/fotograflar/',
'goto/' => 'git/',
'help/' => 'yardim/',
'help/bb-codes' => 'yardim/bb-kodlari',
'help/cookies' => 'yardim/cerez-kullanimi',
'help/smilies' => 'yardim/ifadeler',
'help/terms' => 'yardim/kurallarimiz',
'help/trophies' => 'yardim/oduller',
'logout/' => 'oturum-kapat/',
'lost-password/' => 'kayip-sifre/',
'members/' => 'kullanicilar/',
'members/list' => 'uye/liste',
'members/{members}/edit' => 'uye/{members}/duzenle',
'members/{members}/trophies' => 'uye/{members}/odul-puanlari',
'misc/' => 'cesitli/',
'misc/contact' => 'cesitli/iletisim',
'moderation-queue/' => 'moderasyon-kuyrugu/',
'online/' => 'cevrimici/',
'payment-paypal/' => 'paypal-odeme/',
'posts/' => 'mesaj/',
'posts/{num-digit}/delete' => 'mesaj/{num-digit}/sil',
'posts/{num-digit}/edit' => 'mesaj/{num-digit}/duzenle',
'posts/{num-digit}/history' => 'mesaj/{num-digit}/gecmis',
'posts/{num-digit}/report' => 'mesaj/{num-digit}/yonetime-bildir',
'recent-activity/' => 'son-etkinlik/',
'reply/' => 'cevap/',
'reports/' => 'sikayet/',
'search/' => 'arama/',
'search/search' => 'arama/aranan',
'social-forum/' => 'ozel-alanlar/',
'threads/' => 'konular/',
'threads/{title}/add-reply' => 'konular/{title}/cevap-ekle',
'threads/{title}/delete' => 'konular/{title}/sil',
'threads/{title}/edit' => 'konular/{title}/duzenle',
'threads/{title}/edit-tags' => 'konular/{title}/etiketler-duzenle',
'threads/{title}/moderator-actions' => 'konular/{title}/moderatör-islemleri',
'threads/{title}/move' => 'konular/{title}/tasima',
'threads/{title}/page-{num-digit}' => 'konular/{title}/sayfa-{num-digit}',
'threads/{title}/poll/add' => 'konular/{title}/anket-ekle',
'threads/{title}/reply-bans' => 'konular/{title}/konu-banlari',
'threads/{title}/watch' => 'konular/{title}/izle',
'threads/{title}/watch-confirm' => 'konular/{title}/izlemeyi-onayla',
'watched/' => 'takipedilen/',
'watched/forums' => 'takipedilen/forumlar',
'watched/threads' => 'takipedilen/konular',
'watched/tickets/' => 'izlenen/destek-talepleri/',
'whats-new/' => 'neler-yeni/',
'resources/' => 'kaynaklar/',
'resources/categories/' => 'kaynaklar/kategoriler/',
'resource/' => 'dosyalar/',
'resource/add' => 'dosyalar/ekle',
'resource/authors/' => 'dosyalar/yazarlar',
'resource/authors/{members}' => 'dosyalar/yazarlar/{members}',
'resource/{title}/approve' => 'dosyalar/{title}/onayla',
'resource/{title}/download' => 'dosyalar/{title}/indir',
'resource/{title}/edit' => 'dosyalar/{title}/duzenle',
'resource/{title}/history' => 'dosyalar/{title}/versiyon-gecmisi',
'resource/{title}/icon' => 'dosyalar/{title}/ikon',
'resource/{title}/reassign' => 'dosyalar/{title}/devret',
'resource/{title}/report-update' => 'dosyalar/{title}/guncellestirilmis-dosyayi-rapor-et',
'resource/{title}/toggle-featured' => 'dosyalar/{title}/one-cikar',
'resource/{title}/update' => 'dosyalar/{title}/guncelle',
'feedback/' => 'geribildirim/',
'feedback/preferences' => 'geribildirim/tercihler',
'feedback/statistics' => 'geribildirim/istatistikler',
'support-tickets/' => 'destek-sistemi/',
'support-tickets/knowledge-base/' => 'destek-sistemi/bilgi-bankasi/',
'support-tickets/knowledge-base/category/' => 'destek-sistemi/bilgi-bankasi/kategori/',
'support-tickets/department/' => 'destek-sistemi/departman/'
        ];

        $em = \XF::em();
        foreach ($routes as $findRoute => $replaceRoute) {
            $existing = $em->findOne('XF:RouteFilter', ['find_route' => $findRoute]);
            if (!$existing) {
                /** @var RouteFilter $routeFilter */
                $routeFilter = $em->create('XF:RouteFilter');
                $routeFilter->bulkSet([
                    'find_route' => $findRoute,
                    'replace_route' => $replaceRoute,
                    'enabled' => true
                ]);
                $routeFilter->save();
            }
        }
    }
}
